//*******************************************************
//					GPIO Definitions
//*******************************************************
#define HOOK		0		//Port C.0
#define BT_EN		1		//Port C.1
#define RING_PWR	2		//Port C.2
#define RING1		3		//Port C.3
#define RING2		4		//Port C.4
#define PSTAT		5		//Port C.5
#define BATT		7

#define BT_TX		0		//Port D.0
#define BT_RX		1		//Port D.1
#define	BT_RES		2		//Port D.2
#define EROTARY		3		//Port D.3
#define ROTARY		4		//Port D.4
#define DT1			6		//Port D.6
#define DT2			7		//Port D.7

#define	CS			2		//Port B.2
#define MOSI		3		//Port B.3
#define MISO		4		//Port B.4
#define SCK			5		//Port B.5

//*******************************************************
//						Macros
//*******************************************************
#define	LED_ON()	cbi(PORTC, PSTAT);
#define	LED_OFF()	sbi(PORTC, PSTAT);

#define sbi(var, mask)   ((var) |= (uint8_t)(1 << mask))
#define cbi(var, mask)   ((var) &= (uint8_t)~(1 << mask))
//*******************************************************
//					General Definitions
//*******************************************************
#define MYUBRR 16	//Used to set the AVR Baud Rate

#define MAX_MESSAGE_LENGTH	150	//Buffer length for UART messages
#define	OK		1
#define	ERROR	0

#define	OFF_HOOK	1
#define	ON_HOOK		0
#define	ROTARY_DIALING	1
#define	ROTARY_FINISHED	0

//=======================================================
//					Function Definitions
//=======================================================
static int uart_putchar(char c, FILE *stream);
uint8_t uart_getchar(void);
static FILE mystdout = FDEV_SETUP_STREAM(uart_putchar, NULL, _FDEV_SETUP_WRITE);
void ioinit(void);
void delay_ms(uint16_t x);
void config_bluetooth(void);
void incoming_call(void);
void place_call(void);		
void ring_it(void);			
void short_ring_it(void);	
char string_compare(const char *search_string, const char *find_string);	
void dial_tone(void);	
char get_rotary_number(void);
void dial_number(void);	
